Bug 1303642 - [RFE] Create a single errata for all external dependencies for RHEV
[RFE] Create a single errata for all external dependencies for RHEV
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Build Subsystem (Show other bugs)
4.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Eyal Edri
: FutureFeature
Depends On:
Blocks: 1303638
  Show dependency treegraph
 
Reported: 2016-02-01 09:50 EST by Eyal Edri
Modified: 2017-03-31 02:29 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Rel-Eng
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eyal Edri 2016-02-01 09:50:03 EST
Description of problem:

Up until now (3.6) RHEV release was dependent on several packages that aren't built by the team but are crucial for RHEV release.

These packages are delivered within the RHEV channel and not RHEL, and are built 
usually by the KVM team.

The idea of this bug is to increase visibility of those pkg and increase control over their release date, so that they will be released as part of RHEVM channel rather than RHEV.

Version-Release number of selected component (if applicable):
3.6

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Eyal Edri 2016-07-13 10:23:12 EDT
All packages that are tagged with rhevm-4.0-rhel-7-candidate in brew.
I would like to fetch it from errata instead of brew by using rhevm-4.0-rhel-7-pending tag.
Comment 3 Eyal Edri 2016-07-13 10:26:24 EDT
sorry, this one is related to another bug.
This is about creating another errata to manage external deps from platform so we'll have more control over what goes out or nor with RHEV releases.

not relevant for 4.0, moving to future.
Comment 5 Yaniv Kaul 2016-07-24 02:57:22 EDT
(In reply to Eyal Edri from comment #3)
> sorry, this one is related to another bug.
> This is about creating another errata to manage external deps from platform
> so we'll have more control over what goes out or nor with RHEV releases.
> 
> not relevant for 4.0, moving to future.

Is 4.1 a reasonable candidate for this? What needs to be done?
Comment 8 Yaniv Kaul 2017-03-12 04:27:38 EDT
(In reply to Yaniv Kaul from comment #5)
> (In reply to Eyal Edri from comment #3)
> > sorry, this one is related to another bug.
> > This is about creating another errata to manage external deps from platform
> > so we'll have more control over what goes out or nor with RHEV releases.
> > 
> > not relevant for 4.0, moving to future.
> 
> Is 4.1 a reasonable candidate for this? What needs to be done?

What's the latest on this?
Comment 9 Eyal Edri 2017-03-12 04:55:21 EDT
I am not sure we'll have a single ET for all dependencies, but I know Sandro has created one for 4.1 with RCM to hold all the pkg from optional.

So maybe its best to rename this RFE to an ET that will hold all the multi product pkg that were dropped from optional.

Sandro?
Comment 10 Sandro Bonazzola 2017-03-31 02:29:32 EDT
(In reply to Eyal Edri from comment #9)
> I am not sure we'll have a single ET for all dependencies, but I know Sandro
> has created one for 4.1 with RCM to hold all the pkg from optional.
> 
> So maybe its best to rename this RFE to an ET that will hold all the multi
> product pkg that were dropped from optional.
> 
> Sandro?

I haven't created an errata for all the packages. I've created one errata for each package. We have now a channel for RHV-M dependencies so we won't need to redo the optional packages tagging in 4.2.
I think we can close this bug wontfix.

Note You need to log in before you can comment on or make changes to this bug.